polybori::CAbstractStackBase< NavigatorType > Class Template Referenceabstract

`#include <COrderedIter.h>`

## Public Types

typedef NavigatorType | navigator
typedef CAbstractStackBase< NavigatorType > | self
typedef CTermStackBase< NavigatorType, self > | iterator_core
typedef boost::shared_ptr< iterator_core > | core_pointer

## Public Member Functions

virtual void | increment ()=0
virtual core_pointer | copy () const =0
virtual | ~CAbstractStackBase ()

## Member Typedef Documentation

template<class NavigatorType >

typedef boost::shared_ptr<iterator_core> polybori::CAbstractStackBase< NavigatorType >::core_pointer

template<class NavigatorType >

typedef CTermStackBase<NavigatorType, self> polybori::CAbstractStackBase< NavigatorType >::iterator_core

template<class NavigatorType >

typedef NavigatorType polybori::CAbstractStackBase< NavigatorType >::navigator

template<class NavigatorType >

typedef CAbstractStackBase<NavigatorType> polybori::CAbstractStackBase< NavigatorType >::self

## Constructor & Destructor Documentation

template<class NavigatorType >

virtual polybori::CAbstractStackBase< NavigatorType >::~CAbstractStackBase | ( |  | ) |

inline virtual

## Member Function Documentation

template<class NavigatorType >

virtual core_pointer polybori::CAbstractStackBase< NavigatorType >::copy | ( |  | ) | const

pure virtual

template<class NavigatorType >

virtual void polybori::CAbstractStackBase< NavigatorType >::increment | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- COrderedIter.h